org.wso2.carbon.device.mgt.mobile.windows.api.common

## Class PluginConstants.CertificateEnrolmentPolicy

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.common.PluginConstants.CertificateEnrolmentPolicy

- Enclosing class:
    PluginConstants

      public final class PluginConstants.CertificateEnrolmentPolicy
      extends Object

  Certificate enrolment policy service related constants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `HASH_ALGORITHM_OID_REFERENCE`
    `static int` | `MINIMAL_KEY_LENGTH`
    `static String` | `OID`
    `static String` | `OID_DEFAULT_NAME`
    `static int` | `OID_GROUP`
    `static int` | `OID_REFERENCE`
    `static int` | `OID_REFERENCE_ID`
    `static int` | `POLICY_SCHEMA`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MINIMAL_KEY_LENGTH

          public static final int MINIMAL_KEY_LENGTH

      See Also:
        Constant Field Values

    - #### POLICY_SCHEMA

          public static final int POLICY_SCHEMA

      See Also:
        Constant Field Values

    - #### HASH_ALGORITHM_OID_REFERENCE

          public static final int HASH_ALGORITHM_OID_REFERENCE

      See Also:
        Constant Field Values

    - #### OID_REFERENCE

          public static final int OID_REFERENCE

      See Also:
        Constant Field Values

    - #### OID

          public static final String OID

      See Also:
        Constant Field Values

    - #### OID_DEFAULT_NAME

          public static final String OID_DEFAULT_NAME

      See Also:
        Constant Field Values

    - #### OID_GROUP

          public static final int OID_GROUP

      See Also:
        Constant Field Values

    - #### OID_REFERENCE_ID

          public static final int OID_REFERENCE_ID

      See Also:
        Constant Field Values

Copyright © 2017 WSO2. All rights reserved.